HLS-33 Macs appear not to like the ternary operator (see #30)
HLS-33 Macs appear not to like the ternary operator (see #30)

Swapping to a less concise syntax. Either I've missed something more fundamental, or this should work

--- a/HLS-Stream-Creator.sh
+++ b/HLS-Stream-Creator.sh
@@ -395,11 +395,19 @@
 # Handle Macs - it used to be possible to install gnu-sed and grep with default names using brew
 # but they've changed the way you do that and it seems more inconsistent in terms of result
 SED="sed"
-command -v gsed >/dev/null 2>&1 && { SED="gsed"; }
+command -v gsed >/dev/null 2>&1
+if [ "$?" == "0" ]
+then
+    SED="gsed"
+fi
+
 
 GREP="grep"
-command -v ggrep >/dev/null 2>&1 && { SED="ggrep"; }
-
+command -v ggrep >/dev/null 2>&1
+if [ "$?" == "0" ]
+then
+    SED="ggrep"
+fi